export default eventHandler((event) => {
	if (event.context.currentUser) {
		return {
			token: getHeader(event, "Authorization"),
			user: event.context.currentUser,
		};
	} else {
		throw createError({ statusCode: 400, message: "unauthenticated" });
	}
});
